Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Connect Class Reference

This class is a factory for starting off asynchronous connects This class forwards all methods to its implementation class. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Connect:

[legend]
Collaboration diagram for ACE_Asynch_Connect:

[legend]
List of all members.

## Public Member Functions
| ACE_Asynch_Connect (void)
| A do nothing constructor.
virtual | ~ACE_Asynch_Connect (void)
| Destructor.
int | open (ACE_Handler &handler, ACE_HANDLE handle=ACE_INVALID_HANDLE, const void *completion_key=0, ACE_Proactor *proactor=0)
int | connect (ACE_HANDLE connect_handle, const ACE_Addr &remote_sap, const ACE_Addr &local_sap, int reuse_addr, const void *act=0, int priority=0, int signal_number=ACE_SIGRTMIN)
virtual ACE_Asynch_Operation_Impl * | implementation (void) const
| Return the underlying implementation class.
## Protected Attributes
ACE_Asynch_Connect_Impl * | implementation_

## Detailed Description

This class is a factory for starting off asynchronous connects This class forwards all methods to its implementation class.

Once `open` is called, multiple asynchronous connect operationss can started using this class. A ACE_Asynch_Connect::Result will be passed back to the associated ACE_Handler when the asynchronous connect completes through the ACE_Handler::handle_connect() callback.

## Constructor & Destructor Documentation

ACE_Asynch_Connect::ACE_Asynch_Connect | ( | void |  | ) |

| A do nothing constructor.

ACE_Asynch_Connect::~ACE_Asynch_Connect | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Asynch_Connect::connect | ( | ACE_HANDLE | connect_handle,
|  | const ACE_Addr & | remote_sap,
|  | const ACE_Addr & | local_sap,
|  | int | reuse_addr,
|  | const void * | act = `0`,
|  | int | priority = `0`,
|  | int | signal_number = `ACE_SIGRTMIN`
| ) |

| This starts off an asynchronous Connect.

ACE_Asynch_Operation_Impl * ACE_Asynch_Connect::implementation | ( | void |  | ) | const`[virtual]`

| Return the underlying implementation class. Implements ACE_Asynch_Operation.

int ACE_Asynch_Connect::open | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle = `ACE_INVALID_HANDLE`,
|  | const void * | completion_key = `0`,
|  | ACE_Proactor * | proactor = `0`
| ) |

| Initializes the factory with information which will be used with each asynchronous call. Note: handle is ignored and should be `ACE_INVALID_HANDLE`. Reimplemented from ACE_Asynch_Operation.

## Member Data Documentation

ACE_Asynch_Connect_Impl* ACE_Asynch_Connect::implementation_`[protected]`

| Delegation/implementation class that all methods will be forwarded to.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp